import { system, world } from '@minecraft/server';



//Natural S1
world.beforeEvents.worldInitialize.subscribe((initEvent) => {
  initEvent.blockComponentRegistry.registerCustomComponent('zc_pigcrops:trigger', {
    onTick: (event) => {
      const blockLocation = event.block.location; 
      const dimension = event.dimension; 
      
      
      const summonCommand = `summon zc:pig_s2 ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`;
      dimension.runCommand(summonCommand);

      
      const setBlockCommand = `setblock ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} zc:pigcrops2`;
      dimension.runCommand(setBlockCommand);

      
      
      const executeCommand = `execute @e[type=zc:pig_s1,x=${blockLocation.x},y=${blockLocation.y},z=${blockLocation.z},r=1] ~~~ tp @s -96 -70 -32`;
      dimension.runCommand(executeCommand);
    },
  });
});





//Natural S2

world.beforeEvents.worldInitialize.subscribe((initEvent) => {
  initEvent.blockComponentRegistry.registerCustomComponent('zc_pigcrops2:trigger', {
    onTick: (event) => {
      const blockLocation = event.block.location; 
      const dimension = event.dimension; 
      
      
      const summonCommand = `summon zc:pig_s3 ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`;
      dimension.runCommand(summonCommand);

      
      const setBlockCommand = `setblock ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} zc:pigcrops3`;
      dimension.runCommand(setBlockCommand);

      
      
      const executeCommand = `execute @e[type=zc:pig_s2,x=${blockLocation.x},y=${blockLocation.y},z=${blockLocation.z},r=1] ~~~ tp @s -96 -70 -32`;
      dimension.runCommand(executeCommand);
    },
  });
});



//Natural S1 Sheep
world.beforeEvents.worldInitialize.subscribe((initEvent) => {
  initEvent.blockComponentRegistry.registerCustomComponent('zc_sheepcrops:trigger', {
    onTick: (event) => {
      const blockLocation = event.block.location; 
      const dimension = event.dimension; 
      
      
      const summonCommand = `summon zc:sheep_s2 ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`;
      dimension.runCommand(summonCommand);

      
      const setBlockCommand = `setblock ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} zc:sheepcrops2`;
      dimension.runCommand(setBlockCommand);

      
      
      const executeCommand = `execute @e[type=zc:sheep_s1,x=${blockLocation.x},y=${blockLocation.y},z=${blockLocation.z},r=1] ~~~ tp @s -96 -70 -32`;
      dimension.runCommand(executeCommand);
    },
  });
});





//Natural S2 Sheep 

world.beforeEvents.worldInitialize.subscribe((initEvent) => {
  initEvent.blockComponentRegistry.registerCustomComponent('zc_sheepcrops2:trigger', {
    onTick: (event) => {
      const blockLocation = event.block.location; 
      const dimension = event.dimension; 
      
      
      const summonCommand = `summon zc:sheep_s3 ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`;
      dimension.runCommand(summonCommand);

      
      const setBlockCommand = `setblock ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} zc:sheepcrops3`;
      dimension.runCommand(setBlockCommand);

      
      
      const executeCommand = `execute @e[type=zc:sheep_s2,x=${blockLocation.x},y=${blockLocation.y},z=${blockLocation.z},r=1] ~~~ tp @s -96 -70 -32`;
      dimension.runCommand(executeCommand);
    },
  });
});




//Natural S1 Chicken 
world.beforeEvents.worldInitialize.subscribe((initEvent) => {
  initEvent.blockComponentRegistry.registerCustomComponent('zc_chickencrops:trigger', {
    onTick: (event) => {
      const blockLocation = event.block.location; 
      const dimension = event.dimension; 
      
      
      const summonCommand = `summon zc:chicken_s2 ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`;
      dimension.runCommand(summonCommand);

      
      const setBlockCommand = `setblock ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} zc:chickencrops2`;
      dimension.runCommand(setBlockCommand);

      
      
      const executeCommand = `execute @e[type=zc:chicken_s1,x=${blockLocation.x},y=${blockLocation.y},z=${blockLocation.z},r=1] ~~~ tp @s -96 -70 -32`;
      dimension.runCommand(executeCommand);
    },
  });
});





//Natural S2

world.beforeEvents.worldInitialize.subscribe((initEvent) => {
  initEvent.blockComponentRegistry.registerCustomComponent('zc_chickencrops2:trigger', {
    onTick: (event) => {
      const blockLocation = event.block.location; 
      const dimension = event.dimension; 
      
      
      const summonCommand = `summon zc:chicken_s3 ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`;
      dimension.runCommand(summonCommand);

      
      const setBlockCommand = `setblock ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} zc:chickencrops3`;
      dimension.runCommand(setBlockCommand);

      
      
      const executeCommand = `execute @e[type=zc:chicken_s2,x=${blockLocation.x},y=${blockLocation.y},z=${blockLocation.z},r=1] ~~~ tp @s -96 -70 -32`;
      dimension.runCommand(executeCommand);
    },
  });
});




//Natural S1
world.beforeEvents.worldInitialize.subscribe((initEvent) => {
  initEvent.blockComponentRegistry.registerCustomComponent('zc_cowcrops:trigger', {
    onTick: (event) => {
      const blockLocation = event.block.location; 
      const dimension = event.dimension; 
      
      
      const summonCommand = `summon zc:cow_s2 ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`;
      dimension.runCommand(summonCommand);

      
      const setBlockCommand = `setblock ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} zc:cowcrops2`;
      dimension.runCommand(setBlockCommand);

      
      
      const executeCommand = `execute @e[type=zc:cow_s1,x=${blockLocation.x},y=${blockLocation.y},z=${blockLocation.z},r=1] ~~~ tp @s -96 -70 -32`;
      dimension.runCommand(executeCommand);
    },
  });
});





//Natural S2

world.beforeEvents.worldInitialize.subscribe((initEvent) => {
  initEvent.blockComponentRegistry.registerCustomComponent('zc_cowcrops2:trigger', {
    onTick: (event) => {
      const blockLocation = event.block.location; 
      const dimension = event.dimension; 
      
      
      const summonCommand = `summon zc:cow_s3 ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`;
      dimension.runCommand(summonCommand);

      
      const setBlockCommand = `setblock ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} zc:cowcrops3`;
      dimension.runCommand(setBlockCommand);

      
      
      const executeCommand = `execute @e[type=zc:cow_s2,x=${blockLocation.x},y=${blockLocation.y},z=${blockLocation.z},r=1] ~~~ tp @s -96 -70 -32`;
      dimension.runCommand(executeCommand);
    },
  });
});


